package org.ntlab.acanthus_client.views.animation_detail;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import org.ntlab.acanthus_client.R;
import org.ntlab.acanthus_client.databinding.ActivityPaintBinding;
import org.ntlab.acanthus_client.views.animation.AnimationActivity;
import org.ntlab.acanthus_client.views.animation.AnimationCanvas;
import org.ntlab.acanthus_client.views.main_menu_ui.mypage.MyPageFragment;

public class AnimationDetailActivity extends AppCompatActivity  {

    private AnimationCanvas animationDetails;
    private View view;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_animation_detail);

        //画面を閉じる
        Button returnButton = findViewById(R.id.return_button);
        returnButton.setOnClickListener(v -> finish());

        //作成者のページに移動（今は仮でアニメーション画面へ）
        Button buttonEditor1 = findViewById(R.id.button_editor1);
        buttonEditor1.setOnClickListener((View v) -> {
                Intent intent = new Intent(AnimationDetailActivity.this, AnimationActivity.class);
                startActivity(intent);
            }
        );

        //作成者のページに移動（今は仮でアニメーション画面へ）
        Button buttonEditor2 = findViewById(R.id.button_editor2);
        buttonEditor2.setOnClickListener((View v) -> {
                Intent intent = new Intent(AnimationDetailActivity.this, AnimationActivity.class);
                startActivity(intent);
            }
        );

    }
}
